Skip to main content
PATCH
Update a project

Authorizations

x-api-key
string
header
required

Send the API key in the x-api-key header.

Path Parameters

id
string
required

Project id, of the form ovprjid-<uuidv4>.

Pattern: ^ovprjid-.*$
Example:

"ovprjid-22222222-2222-4222-8222-222222222222"

Body

application/json
name
string | null
Minimum string length: 1
stage
enum<string>
Available options:
Proposal,
Active Project,
Service Client,
Lost Proposal
estimatedDay1
string<date> | null
day1StartDate
string<date> | null
warrantyExpiration
string<date> | null
signingDate
string<date> | null
ownerId
string

Platform user id. Newer ids are ovuid-<uuid>; legacy users may have bare (e.g. numeric) ids.

Minimum string length: 1
Example:

"ovuid-2b6d4d8e-9f1a-4b2c-8d4e-5f6011223344"

Response

Updated project

id
string
required

Project id, of the form ovprjid-<uuidv4>.

Pattern: ^ovprjid-.*$
Example:

"ovprjid-2b6d4d8e-9f1a-4b2c-8d4e-5f6011223344"

siteId
string
required
name
string | null
required
isPrimary
boolean
stage
enum<string>
Available options:
Proposal,
Active Project,
Service Client,
Lost Proposal
estimatedDay1
string<date> | null
day1StartDate
string<date> | null
warrantyExpiration
string<date> | null
signingDate
string<date> | null